#!/usr/bin/python3
# -*- coding: utf-8 -*-
#
# Copyright (c) 2022 Baidu, Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
In this script, we implement the cross-platform estimation method described in
``Cross-Platform Verification of Intermediate Scale Quantum Devices`` [EVB+20]_,
which aims at determining the overlap between the quantum states generated by different quantum platforms.

References:

.. [EVB+20] Elben, Andreas, et al.
            "Cross-platform verification of intermediate scale quantum devices."
            Physical Review Letters 124.1 (2020): 010504.
"""
